### Function

# GLib base64_decode_inplace

since: 2.20

#### Declaration

    guchar*
    g_base64_decode_inplace (
      gchar* text,
      gsize* out_len
    )

#### Description

Decode a sequence of Base-64 encoded text into binary data by overwriting the input data.

Available since: 2.20

#### Parameters

`text`

  Type: An array of `guint8`

  Zero-terminated string with base64 text to decode.

  The argument will be modified by the function.
  The length of the array is specified in the `out_len` argument.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`out_len`

  Type: `gsize*`

  The length of the decoded data is written here.

  The argument will be modified by the function.

#### Return value

Type: `guchar*`

The binary data that `text` responds. This pointer is the same as the input `text`.

The data is owned by the called function.